/////////////////////////////////////
//Fonctions utilises en cours de niveau
/////////////////////////////////////
function TesterFinNiveau(e:Event):void
{//Teste si le niveau est termin
	function EnCollision(Lien:Arc, index:int, array:Array):Boolean
	{
		return Lien.Collusion;
	}

	if(!Fond.All_Liens.some(EnCollision))
	{
		//Abandonne le drag en cours
		TerminerNiveau(1);
		Fond.startDrag();
		Fond.stopDrag();
	}
}

/////////////////////////////////////
//Fonctions utilises lors des changements de niveaux
/////////////////////////////////////
function TerminerNiveau(Valeur:int):void
{//Termine un niveau en affichant la boite de changement
//Ajoute la valeur aux niveaux unlocks.
	removeEventListener(Event.ENTER_FRAME,TesterFinNiveau);

	Fond.Taille=0;//Rduire
	Boite.visible=true;

	NumeroNiveauActuel+=Valeur;
	if(NumeroNiveauActuel>NumeroNiveauUnlockes)
	{//Si il vient de russir le niveau sur lequel il tait bloqu
		NumeroNiveauUnlockes+=Valeur;//Dbloquer un nouveau niveau
		SESSION.NumeroNiveauActuel=NumeroNiveauActuel;//Et enregistrer en local la progression
		SESSION.NumeroNiveauUnlockes=NumeroNiveauUnlockes;
		ChangeLevelInfo.htmlText="Nouveau Niveau dbloqu !";
	}

	//Puis afficher la boite avec la liste des niveaux.
	UpdaterBoite();
}

function StopLevel(e:Event=null):void
{//Arrte le niveau directement.
 	TerminerNiveau(0);
  	Message_Container.visible=false;
	ChangeLevelInfo.htmlText="<b>Niveau abandonn !</b>";
}

function LancerNouveauNiveau(NumNiveau:int=-1):void
{//Lancer un niveau "quelconque"
	if(NumNiveau==-1)
		NumNiveau=NumeroNiveauActuel;

	if(Fond!=null && contains(Fond))
	{//Si Fond a dj t utilis, nettoyer l'ensemble
		removeChild(Fond);
	}

	var SVGScale:Number=Fond.scaleX;//Pouir une animation lisse, utilisez l'oral de paris :)
	Fond = GetLevelData(NumNiveau);
	Fond.graphics.clear();//Supprimer le fond blanc
	addChild(Fond);
	//Repasser la boite de message au premier plan
	setChildIndex(Fond,1);

	Fond.TailleActuelle=SVGScale;
	Fond.Taille=1;//Rezoomer

	Boite.visible=false;
 	addEventListener(Event.ENTER_FRAME,TesterFinNiveau);
	ChangeLevelInfo.htmlText="<u>Liste des niveaux</u>";
}