/////////////////////////////////////
//Fonctions de cration de niveau
/////////////////////////////////////

function GetLevelData(Numero:int,Not_Mute:Boolean=true):Niveau
{
	var Message:String="";
	var Liens:Array=new Array();
	function T(...Liste):Array
	{//T comme Tableau
	//Plus court  crire que new Array()  chaque fois
		return Liste;
	}
	if(Numero==0)
	{
		Liens=new Array(T(0,1),T(1,2),T(2,3),T(0,2),T(0,3),T(1,2),T(1,3),T(2,3));
		Message ="<u>Rgles de B-graphe : <font size=\"-2\"><i>(partie 1/1)</i></font></u><br>Enlevez tout croisement entre les traits pour passer au niveau suivant.<br>Pour cela, dplacez les ronds  l'aide de la souris.";
	}
	else if(Numero==1)
		Liens=new Array(T(0,1),T(1,5),T(5,4),T(4,0),T(6,7),T(7,3),T(3,2),T(2,6));
	else if(Numero==2)
		Liens=new Array(T(1,2),T(1,3),T(1,4),T(1,5),T(2,6),T(3,6),T(4,7),T(5,7),T(5,9),T(6,8),T(7,0),T(8,0),T(9,0),T(0,1));
	else if(Numero==3)
		Liens=new Array(T(1,4),T(1,2),T(1,5),T(2,3),T(2,4),T(3,4),T(3,5),T(4,5),T(5,0),T(2,5),T(0,4),T(1,3),T(1,0));
	else if(Numero==4)
		Liens=new Array(T(0,1),T(0,8),T(1,2),T(1,3),T(2,4),T(2,5),T(3,7),T(4,5),T(4,6),T(5,6),T(6,7),T(7,9),T(7,11),T(8,9),T(9,10),T(10,11));
	else if(Numero==5)
		Liens=new Array(T(0,1),T(0,2),T(0,7),T(0,9),T(0,10),T(1,2),T(1,3),T(1,6),T(1,7),T(2,3),T(2,9),T(3,4),T(3,9),T(3,6),T(4,5),T(4,6),T(4,7),T(4,13),T(4,14),T(4,10),T(5,6),T(5,14),T(5,15),T(5,12),T(5,11),T(6,7),T(6,15),T(6,16),T(7,10),T(7,11),T(7,12),T(7,13),T(7,16),T(7,8),T(9,10),T(11,12),T(11,15),T(11,16),T(12,13),T(12,14),T(13,14),T(15,16));
	else if(Numero==6)
		Liens=new Array(T(1,2),T(1,3),T(1,4),T(1,5),T(2,6),T(3,6),T(4,7),T(5,7),T(5,9),T(6,8),T(7,0),T(8,0),T(9,0),T(0,1));



	else if(Numero==14)
		Liens=new Array(T(0,1),T(1,5),T(5,4),T(4,0),T(6,7),T(7,3),T(3,2),T(2,6),T(3,4),T(5,6),T(7,0),T(1,2));
	else if(Numero==15)
	{
		Liens=new Array(T(0,1),T(1,2),T(2,3),T(3,4),T(0,2),T(0,3),T(0,4),T(1,2),T(1,3),T(1,4),T(2,3),T(2,4));
	}

	if(Message!="" && Not_Mute)
		ShowMessage(Message);
	return LoadNiveau(Liens,Numero);
}

function ChargementNiveauDirect(e:Event):void
{//Trigger quand clic sur une des miniatures dans Boite.
	while(Boite.numChildren > 0)
		Boite.removeChildAt(0);

	Boite.addChild(ChangeLevelInfo);

	ChangeLevelInfo.htmlText="<u>Chargement en cours</u> (niv. <b>"+e.currentTarget.NumeroNiveau+"</b>)";
	NumeroNiveauActuel=e.currentTarget.NumeroNiveau;
	LancerNouveauNiveau(e.currentTarget.NumeroNiveau);
}


function LoadNiveau(Liens:Array,Numero:int):Niveau
{//La fonction principale, qui charge le niveau dans un sprite
	var Layer:Niveau; //Layer est le Sprite qui doit contenir le niveau
	Layer=new Niveau(Liens,FlashWidth,FlashHeight);
	Layer.NumeroNiveau=Numero;
	return Layer;
}