//Un noeud quelconque
package
{
	import flash.display.Sprite;
	import flash.geom.Point;
	import flash.events.*;
	import flash.filters.BitmapFilter;
	import flash.filters.GlowFilter;

	public class Noeud extends Sprite
	{


		private var Final_Glow:int;//La valeur de rayonnement dsire
		private var Current_Glow:Number;//Le rayonnement du noeud

		private var Layer:Niveau;
		private var All_Liens:Array;
		private var Liens:Array;

		private const RAYON:int=20;

		public function Noeud(Layer:Niveau,x:Number,y:Number,All_Liens:Array,NbNoeuds:int=1)
		{//Instancie un nouveau noeud

			this.Layer = Layer;
			this.All_Liens = All_Liens;
			this.Liens=new Array();

			this.x=x;
			this.y=y;

			this.graphics.beginFill(0xEEEEEE);
			this.graphics.lineStyle(1,0x000000);
			this.graphics.drawCircle(0, 0, Math.max(4,RAYON-NbNoeuds));

			Layer.addChild(this);
			this.Final_Glow=this.Current_Glow=0;
			this.addEventListener(MouseEvent.MOUSE_MOVE,SourisIN);
			this.addEventListener(MouseEvent.MOUSE_OUT,SourisOUT);
			this.addEventListener(MouseEvent.MOUSE_DOWN,SourisDown);
		}

		public function AjouterLien(Lien:Arc):void
		{
			Liens.push(Lien);
		}

		//Fonctions prives
		private function Dragger(e:Event=null):void
		{
			for each(var Lien:Arc in Liens)
			{
				Lien.Refresh();
			}
		}

		private function SourisDown(e:Event):void
		{//Dragger
			this.addEventListener(MouseEvent.MOUSE_MOVE,Dragger);
			this.removeEventListener(MouseEvent.MOUSE_DOWN,SourisDown);
			this.addEventListener(MouseEvent.MOUSE_UP,SourisUp);
			this.startDrag();
		}
		private function SourisUp(e:Event):void
		{
			this.addEventListener(MouseEvent.MOUSE_DOWN,SourisDown);
			this.removeEventListener(MouseEvent.MOUSE_UP,SourisUp);
			this.removeEventListener(MouseEvent.MOUSE_MOVE,Dragger);
			this.stopDrag();
			this.Dragger(); //En cas de drag rapide, il peut y avoir dcalage.
		}

		private function AddFocus(Level:int):void
		{//Ajoute un flou  la forme.
			this.Final_Glow=Level;
			this.addEventListener(Event.ENTER_FRAME,ChangeFiltre);
		}

		private function SourisIN(e:MouseEvent):void
		{//Ajoute un filtre indiquant que la forme est hovere
			AddFocus(5);
		}
		private function SourisOUT(e:MouseEvent):void
		{//Ajoute le filtre indiquant que la forme n'est plus hovere
			AddFocus(0);
		}

		private function ChangeFiltre(e:Event=null):void
		{//gestion des filtres dans le temps

			//Filtre HOVER
			if(Current_Glow<Final_Glow)
				Current_Glow=Math.min(Final_Glow,Current_Glow+0.2);
			else
				Current_Glow=Math.max(Final_Glow,Current_Glow-0.1);

			var ListeFiltres:Array = new Array(new GlowFilter(0x00FF00, 0.8,16,16,Current_Glow,1,false,false));

			this.filters=ListeFiltres;

			if(Current_Glow==Final_Glow)
				this.removeEventListener(Event.ENTER_FRAME,ChangeFiltre);
		}
	}
}